Name:		lxcfs
Version:	5.0.3
Release:	%mkrel 1
Summary:	FUSE filesystem for LXC
Group:		System/Kernel and hardware
License:	ASL 2.0
URL:		https://linuxcontainers.org/lxcfs
Source0:	https://linuxcontainers.org/downloads/%{name}/%{name}-%{version}.tar.gz
Source1:	https://linuxcontainers.org/downloads/%{name}/%{name}-%{version}.tar.gz.asc
Patch0:		lxcfs-5.0.3-fix-service.patch
BuildRequires:	help2man
BuildRequires:	meson
BuildRequires:	python3dist(jinja2)
BuildRequires:	pkgconfig(fuse3)
BuildRequires:	pkgconfig(systemd)

# for /usr/share/lxc/config/common.conf.d:
Requires:	lxc

%description
LXCFS is a small FUSE filesystem written with the intention of making
Linux containers feel more like a virtual machine. It started as a
side-project of LXC but is usable by any runtime.

LXCFS will take care that the information provided by crucial files in
procfs are container aware such that the values displayed (e.g. in
/proc/uptime) really reflect how long the container is running and not
how long the host is running.

%prep
%autosetup -p1

%build
%meson \
	-D init-script=systemd \
	-D runtime-path=%{_rundir}
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_sharedstatedir}/%{name}

# cache dir
mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}

%post
%post_service %{name}

%preun
%preun_service %{name}

%files
%doc AUTHORS README.md
%license COPYING
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}.so
%{_unitdir}/%{name}.service
%{_datadir}/lxc/config/common.conf.d/*
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%dir %{_sharedstatedir}/%{name}
%dir %{_localstatedir}/cache/%{name}


%changelog
* Fri Jan 27 2023 daviddavid <daviddavid> 5.0.3-1.mga9
+ Revision: 1936362
- new version: 5.0.3

* Fri Jan 27 2023 daviddavid <daviddavid> 5.0.2-1.mga9
+ Revision: 1936338
- initial package lxcfs

